import App from './App'

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif

import user_api from '@/data/user_api.js';  
Vue.prototype.$user_api = user_api;

import util from '@/data/util.js';  
Vue.prototype.$util = util;

import content_check from '@/data/content_check.js'
Vue.prototype.$content_check = content_check;